%define pkg_name        SQL-Abstract-Limit
%define pkg_version     0.12
%define rpm_pkg_version 0.12
%define rpm_pkg_release 2.n0i.6

Summary:       Portable LIMIT emulation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAVEBAIRD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(DBI)}
%{!?_without_test:BuildRequires: perl(SQL::Abstract) >= 1.2}
%{!?_without_test:BuildRequires: perl(Test::Exception)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
Portability layer for LIMIT emulation.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.12-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.12-1.n0i.5
- version 0.12

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.11-1.n0i.4
- version 0.11

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 0.10_1-1.n0i.3.0.10_1
- version 0.101

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.2.0.1
- version 0.1

* Fri Aug 05 2005 Marius Feraru <altblue@n0i.net> 0.03_3-1.n0i.1.0.033
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
